package workflow.script.core;

import workflow.WorkflowException;
import workflow.script.ParameterContext;
import workflow.script.ScriptException;
import workflow.wfmc.rtm.WorkflowWork;
import workflow.wfmc.xpdl.WorkflowTransition;

/**
 * @author reic
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public interface Script
{
	public void init(ScriptContext scriptContext, WorkflowTransition workflowTransition)
	throws ScriptException;

	public ScriptContext getScriptContext();

	public WorkflowTransition getWorkflowTransition();

	public boolean evalute(WorkflowWork workflowWork,ParameterContext paramContext) throws ScriptException,WorkflowException;

	public void destroy();
}
